version: "3"

services:
  db:
    image: postgres:12.13
    volumes:
      - "/var/run/postgres/postgres.sock:/var/run/postgres/postgres.sock"
      - "db_data:/var/lib/postgresql/data"
    ports:
      - "56432:5432"
    env_file:
      - .env

  web:
    image: tech_magic_image
    build:
      context: .
      dockerfile: Dockerfile
    command: python manage.py runserver 0.0.0.0:8000
    volumes:
      - .:/code
    ports:
      - "8000:8000"
    env_file:
      - .env
    depends_on:
      - db

volumes:
  db_data:
